Subject: bug#64073: libvirtd requires restart to function

From: Christian Miller <[email-masked]>
Date: Fri, 16 Jun 2023 20:44:09 +0000

Hi,

there is not an error message upon starting it but by stopping it:
Jun 14 23:52:18 localhost shepherd[1]: Stopping service libvirtd... 
Jun 14 23:52:18 localhost libvirtd: 157: error : virGDBusGetSystemBus:99 : internal error: Unable to get system bus connection: Could not connect: No such file or directory 

I have added the command output of "grep -i libvirt /var/log/messages" as attachment.

NOTE: That permission denied error on the ISO is happening since I copied /etc/libvirt from my old system.  I have 10+ VMs and thought this works as well as of re importing every vm.

PS:
I wanted to create a VM to not taint logs but since I upgraded the VM I just have a black screen.  It was a Guix VM installed through the installer with GNOME.  I ran guix pull and added spice, libvirt and virtlog to the config.  After guix system reconfigure config.scm I know have a black screen upon logging in to the system.  This was only after reconfiguring the system.  Before it worked normally.  I used the ISO that reports a permission denied error in the logs I attached.  GDM works fine but after logging it is just a black screen.  Also my mouse cursor changes from a arrow pointer to the default cross cursor from x11.  I guess something is broken on latest?

Best Regards
Christian Miller